package com.hotent.uc.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.hotent.base.entity.BaseModel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

/**
 * @description  外部用户实体表
 * @author  yangzibin
 * @date    2023/12/28 17:18
 * @param	null
 * @return
 */
@JsonIgnoreProperties(ignoreUnknown = true)
@TableName("uc_ext_org_info")
@ApiModel(description="外部组织同步记录表")
public class OrgExternalSynLog extends BaseModel<OrgExternalSynLog> {
    /**
     * id_
     */
    @TableId("ID_")
    @ApiModelProperty(name="id",notes="id")
    protected String id;

    /**
     * 同步日志概括
     */
    @TableField("LOG_INFO_")
    @ApiModelProperty(name="logInfo",notes="同步日志概括")
    protected String logInfo;

    /**
     * 同步状态
     */
    @TableField("SYN_DIR_")
    @ApiModelProperty(name="synDir",notes="推送方向")
    protected String synDir;


    /**o
     * 同步日志详细
     */
    @TableField("LOG_INFO_CONTENT_")
    @ApiModelProperty(name="logInfoContent",notes="同步日志详细")
    protected String logInfoContent;



    /**
     * 租户id
     */
    @TableField("TENANT_ID_")
    @ApiModelProperty(name="tenantId",notes="租户id")
    protected String tenantId;

    /**
     * 操作人
     */
    @TableField("CREATE_BY")
    @ApiModelProperty(name="creataBy",notes="操作人")
    protected String creataBy;
    /**
     * 组织id
     */
    @TableField("ORG_ID_")
    @ApiModelProperty(name="orgId",notes="组织id")
    protected String orgId;
    /**
     * 同步类型
     */
    @TableField("SYN_TYPE_")
    @ApiModelProperty(name="synType",notes="同步类型")
    protected String synType;

    /**
     * 同步类型
     */
    @TableField("SYN_DEPT_USER_")
    @ApiModelProperty(name="synDeptUser",notes="同步部门或者人员")
    protected String synDeptUser;


    /**
     * 创建时间
     */
    @TableField("CREATE_TIME_")
    @ApiModelProperty(name="createTime",notes="创建时间")
    protected LocalDateTime createTime;

    public String getSynType() {
        return synType;
    }

    public void setSynType(String synType) {
        this.synType = synType;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getLogInfo() {
        return logInfo;
    }

    public void setLogInfo(String logInfo) {
        this.logInfo = logInfo;
    }

    public String getSynDir() {
        return synDir;
    }

    public void setSynDir(String synDir) {
        this.synDir = synDir;
    }

    public String getLogInfoContent() {
        return logInfoContent;
    }

    public void setLogInfoContent(String logInfoContent) {
        this.logInfoContent = logInfoContent;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public String getCreataBy() {
        return creataBy;
    }

    public void setCreataBy(String creataBy) {
        this.creataBy = creataBy;
    }

    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }

    public String getOrgId() {
        return orgId;
    }

    public void setOrgId(String orgId) {
        this.orgId = orgId;
    }

    public String getSynDeptUser() {
        return synDeptUser;
    }

    public void setSynDeptUser(String synDeptUser) {
        this.synDeptUser = synDeptUser;
    }
}
